## python-circuitbreaker 1.3.2

=== requirements.txt ===
typing; python_version < '3.5'

=== debian/changelog ===
python-circuitbreaker (1.3.2-2) unstable; urgency=medium

  * Add autopkgtest using pytest-3

 -- Paul Wise <pabs@debian.org>  Sat, 29 Jan 2022 09:22:53 +0800

python-circuitbreaker (1.3.2-1) unstable; urgency=low

  * Initial package (Closes: #1003376)

 -- Paul Wise <pabs@debian.org>  Fri, 14 Jan 2022 15:03:23 +0800

=== debian/control ===
Source: python-circuitbreaker
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Paul Wise <pabs@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-mock <!nocheck>,
 python3-pytest <!nocheck>,
 python3-setuptools,
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://github.com/fabfuel/circuitbreaker
Vcs-Git: https://salsa.debian.org/python-team/packages/python-circuitbreaker.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-circuitbreaker

Package: python3-circuitbreaker
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Python Circuit Breaker pattern implementation
 This is a Python implementation of the "Circuit Breaker" Pattern:
 .
 https://martinfowler.com/bliki/CircuitBreaker.html
 .
 Inspired by Michael T. Nygard's highly recommendable book *Release It!*:
 .
 https://pragprog.com/titles/mnee2/release-it-second-edition/

=== debian/tests/control ===
Test-Command: set -e ; d="$AUTOPKGTEST_TMP" ; cp -a tests "$d" ; cd "$d" ; for py in $(py3versions -s 2>/dev/null) ; do $py -m pytest tests ; done
Depends:
 python3-all,
 python3-mock,
 python3-pytest,
 @,

## python-circuitbreaker 1.4.0

=== requirements.txt ===
typing; python_version < '3.5'
monotonic; python_version < '3.0'

=== debian/changelog ===
python-circuitbreaker (1.4.0-1) unstable; urgency=medium

  * New upstream release.
    - Drop mock test dependency, no longer needed with current Python
  * Declare compliance with Debian Policy 4.6.1, no changes needed

 -- Paul Wise <pabs@debian.org>  Sun, 07 Aug 2022 17:26:37 +0800

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,9 @@
  debhelper-compat (= 13),
  dh-sequence-python3,
  python3-all,
- python3-mock <!nocheck>,
  python3-pytest <!nocheck>,
  python3-setuptools,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/fabfuel/circuitbreaker
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-circuitbreaker.git

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=circuitbreaker

%:
	dh $@ --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: set -e ; d="$AUTOPKGTEST_TMP" ; cp -a tests "$d" ; cd "$d" ; for py in $(py3versions -s 2>/dev/null) ; do $py -m pytest tests ; done
Depends:
 python3-all,
 python3-pytest,
 @,

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.?(dev|rc|a|b|c)/~$1/" \
https://github.com/fabfuel/circuitbreaker.git \
refs/tags/([a-z0-9.]+)
